RDKit: RDKit::FilterMatchOps::And Class Reference

| RDKit Open-source cheminformatics and machine learning.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
RDKit::FilterMatchOps::And Class Reference

`#include <FilterMatchers.h>`

Inheritance diagram for RDKit::FilterMatchOps::And:

## Public Member Functions
| And ()
| And (const FilterMatcherBase &arg1, const FilterMatcherBase &arg2)
| And (const boost::shared_ptr< FilterMatcherBase > &arg1, const boost::shared_ptr< FilterMatcherBase > &arg2)
| And (const And &rhs)
virtual std::string | getName () const
bool | isValid () const
bool | hasMatch (const ROMol &mol) const
| hasMatches More...
bool | getMatches (const ROMol &mol, std::vector< FilterMatch > &matchVect) const
| getMatches More...
boost::shared_ptr< FilterMatcherBase > | copy () const
| copy More...
Public Member Functions inherited from RDKit::FilterMatcherBase
| FilterMatcherBase (const std::string &name=DEFAULT_FILTERMATCHERBASE_NAME)
| FilterMatcherBase (const FilterMatcherBase &rhs)
virtual | ~FilterMatcherBase ()
virtual boost::shared_ptr< FilterMatcherBase > | Clone () const
| Clone - deprecated. More...

## Detailed Description

Definition at line 49 of file FilterMatchers.h.

## Constructor & Destructor Documentation

RDKit::FilterMatchOps::And::And | ( |  | ) |
| inline

Definition at line 55 of file FilterMatchers.h.

Referenced by copy().

RDKit::FilterMatchOps::And::And | ( | const FilterMatcherBase & | arg1,
|  | const FilterMatcherBase & | arg2
| ) |  |
| inline

Constructs an Ander True if arg1 and arg2 FilterMatchers are true

Definition at line 60 of file FilterMatchers.h.

RDKit::FilterMatchOps::And::And | ( | const boost::shared_ptr< FilterMatcherBase > & | arg1,
|  | const boost::shared_ptr< FilterMatcherBase > & | arg2
| ) |  |
| inline

Definition at line 63 of file FilterMatchers.h.

RDKit::FilterMatchOps::And::And | ( | const And & | rhs | ) |
| inline

Definition at line 67 of file FilterMatchers.h.

## Member Function Documentation

boost::shared_ptr<FilterMatcherBase> RDKit::FilterMatchOps::And::copy | ( |  | ) | const
| inlinevirtual

copy

Implements RDKit::FilterMatcherBase.

Definition at line 96 of file FilterMatchers.h.

References And(), and RDUNUSED_PARAM.

bool RDKit::FilterMatchOps::And::getMatches | ( | const ROMol & | mol,
|  | std::vector< FilterMatch > & | matchVect
| ) |  | const
| inlinevirtual

getMatches

Match the filter against a molecule

Parameters

  mol | readonly const molecule being searched
  matches | output vector of atom index matches found in the molecule

Implements RDKit::FilterMatcherBase.

Definition at line 85 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

Referenced by RDKit::FilterHierarchyMatcher::addChild(), RDKit::FilterHierarchyMatcher::hasMatch(), and RDKit::SmartsMatcher::setMaxCount().

virtual std::string RDKit::FilterMatchOps::And::getName | ( |  | ) | const
| inlinevirtual

Reimplemented from RDKit::FilterMatcherBase.

Definition at line 70 of file FilterMatchers.h.

References RDKit::FilterMatcherBase::getName().

Referenced by RDKit::FilterHierarchyMatcher::setPattern().

bool RDKit::FilterMatchOps::And::hasMatch | ( | const ROMol & | mol | ) | const
| inlinevirtual

hasMatches

Does the given molecule contain this filter pattern

Parameters

  mol | readonly const molecule being searched

Implements RDKit::FilterMatcherBase.

Definition at line 79 of file FilterMatchers.h.

References isValid(), and PRECONDITION.

Referenced by RDKit::SmartsMatcher::setMaxCount().

bool RDKit::FilterMatchOps::And::isValid | ( |  | ) | const
| inlinevirtual

Implements RDKit::FilterMatcherBase.

Definition at line 75 of file FilterMatchers.h.

Referenced by getMatches(), RDKit::FilterMatchOps::Or::getMatches(), RDKit::FilterMatchOps::Not::getMatches(), RDKit::ExclusionList::getMatches(), hasMatch(), RDKit::FilterMatchOps::Or::hasMatch(), RDKit::FilterMatchOps::Not::hasMatch(), RDKit::ExclusionList::hasMatch(), and RDKit::ExclusionList::isValid().

The documentation for this class was generated from the following file:

- FilterMatchers.h